curry-frontend_1.0.4-1_amd64.deb


Advertisement

Description

curry-frontend - Lexer, parser, type checker, etc. for Curry; executable

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename curry-frontend_1.0.4-1_amd64.deb
Package name curry-frontend
Package version 1.0.4
Package release 1
Package architecture amd64
Package type deb
Category misc
Homepage http://curry-language.org
License -
Maintainer Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Download size 1.27 MB
Installed size 8.15 MB

Alternatives

Package Version Architecture Repository
curry-frontend_1.0.4-1_i386.deb 1.0.4 i386 Debian Main
curry-frontend - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.27
libffi6 >= 3.0.4
libgmp10 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package curry-frontend_1.0.4-1_amd64.deb
Source Package curry-frontend

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install curry-frontend deb package:
    # sudo apt-get install curry-frontend

Files

Path
/usr/bin/curry-frontend
/usr/share/curry-frontend/currysource.css
/usr/share/doc/curry-frontend/buildinfo_amd64.gz
/usr/share/doc/curry-frontend/changelog.Debian.gz
/usr/share/doc/curry-frontend/changelog.gz
/usr/share/doc/curry-frontend/copyright
/usr/share/man/man1/curry-frontend.1.gz

Changelog

2019-08-02 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.4-1) unstable; urgency=medium
* New upstream release.
* debian/upstream/metadata:
+ Fix Repository-Browser: field.
2019-01-31 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.3-1) unstable; urgency=medium
* New upstream release.
* debian/control:
+ Bump Standards-Version: to 4.3.0. No changes needed.
+ Update versioned B for pakcs (to << 2.1.0~).
2018-11-22 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.2-1) unstable; urgency=medium
* New upstream release.
* debian/control:
+ Bump Standards-Version: to 4.2.1. No changes needed.
+ Update versioned B-Ds on curry-base to (>= 1.1.0~), but (<< 1.1.1).
* debian/copyright:
+ Update copyright attributions.
* debian/upstream/metadata:
+ Add file. Comply with DEP-12.
* debian/source/lintian-overrides:
+ Drop the source override at old location, finally.
2018-08-20 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.1-3) unstable; urgency=medium
* debian/watch:
+ Update for tarball export feature in latest GitLab versions.
* debian/control:
+ Bump Standards-Version: to 4.2.0. No changes needed.
* lintian: Move source override to new canonical location in debian/source/
subfolder.
2018-04-27 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.1-2) unstable; urgency=medium
* Re-upload to rebuild doc package against newer ghc haddock interface.
(see cury-base Debian bug #896972).
* debian/control:
+ Bump Standards-Version: to 4.1.4. No changes needed.
2018-02-09 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.1-1) unstable; urgency=medium
* New upstream release.
* debian/control:
+ Bump Standards-Version: to 4.1.3. No changes needed.
+ Add B (curry-frontend): pakcs (<< 2.0.1~).
2017-12-12 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.0-1) unstable; urgency=medium
* Re-upload to unstable as is.
2017-11-27 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (1.0.0-1~exp1) experimental; urgency=medium
* New upstream release.
* debian/control:
+ Set Priority: field to optional.
+ Bump Standards-Version: to 4.1.1.
+ Update versioned B-D on 'curry-base'.
+ Add B-D 'set-extra'.
* debian/copyright:
+ Update copyright attributions.
2017-09-17 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (0.4.2-7) unstable; urgency=medium
* debian/watch:
+ Update to new upstream URL.
* debian/control:
+ Bump Standards-Version: to 4.1.0. No changes needed.
2017-06-28 - Mike Gabriel <sunweaver@debian.org>
curry-frontend (0.4.2-6) unstable; urgency=medium
[ Steve Langasek ]
* debian/control:
+ Drop from B-D: libghc-cabal-{dev,prof}. Cabal is now provided with ghc
itself. (Closes: #865817).
[ Mike Gabriel ]
* debian/control:
+ Bump Standards-Version: to 4.0.0. No changes needed.

See Also

Package Description
curry-libs-source_2.1.0-1_all.deb Standard libraries of the Curry distributions PAKCS and KiCS2 (source files)
curry-tools-source_2.1.0-1_all.deb Tools that are used by different Curry systems, like PAKCS or KiCS2
curseofwar_1.1.8-3+b3_amd64.deb Fast-paced action strategy game for Linux based on ncurses
curtain_0.3-1.1_amd64.deb handy curtain for the desktop
curvedns_0.87-5_amd64.deb DNS/DNSCurve forwarding name server - binaries
custodia_0.6.0-3_all.deb Modular and pluggable Secrets Manager
customdeb_0.1_all.deb Modfies binary Debian package
cutadapt_2.4-2_all.deb Clean biological sequences from high-throughput sequencing reads
cutecom_0.30.3-1+b1_amd64.deb Graphical serial terminal, like minicom
cutemaze_1.2.5-1_amd64.deb single player maze game
cutesdr_1.20-3_amd64.deb simple demodulation and spectrum display program
cutils_1.6-5_amd64.deb C source code utilities
cutter_1.04-1+b1_amd64.deb disconnect routed IP connections
cutycapt_0.0~svn10-0.1+b1_amd64.deb utility to capture WebKit's rendering of a web page
cuyo-data_2.0.0brl1-3_all.deb data files for the game cuyo
Advertisement
Advertisement